Package org.eclipse.rdf4j.spring.dao

## Class RDF4JDao

- java.lang.Object
- - org.eclipse.rdf4j.spring.dao.RDF4JDao

- Direct Known Subclasses:
    `RDF4JCRUDDao`

      @Experimental
      public abstract class RDF4JDao
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `RDF4JDao.NamedSparqlSupplierFinishBuilder` |
    `class` | `RDF4JDao.NamedSparqlSupplierPreparer` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDF4JDao​(RDF4JTemplate rdf4JTemplate)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected GraphQueryEvaluationBuilder` | `getNamedGraphQuery​(String key)` |
    `protected String` | `getNamedSparqlString​(String key)` |
    `protected NamedSparqlSupplier` | `getNamedSparqlSupplier​(String key)` | Obtains the `NamedSparqlSupplier` with the specified key for use in, e.g., `RDF4JTemplate.tupleQuery(Class, NamedSparqlSupplier)`.
    `protected TupleQueryEvaluationBuilder` | `getNamedTupleQuery​(String key)` |
    `protected UpdateExecutionBuilder` | `getNamedUpdate​(String key)` |
    `protected RDF4JTemplate` | `getRdf4JTemplate()` |
    `protected abstract RDF4JDao.NamedSparqlSupplierPreparer` | `prepareNamedSparqlSuppliers​(RDF4JDao.NamedSparqlSupplierPreparer preparer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDF4JDao

          public RDF4JDao​(RDF4JTemplate rdf4JTemplate)

  - ### Method Detail

    - #### getRdf4JTemplate

          protected RDF4JTemplate getRdf4JTemplate()

    - #### prepareNamedSparqlSuppliers

          protected abstract RDF4JDao.NamedSparqlSupplierPreparer prepareNamedSparqlSuppliers​(RDF4JDao.NamedSparqlSupplierPreparer preparer)

    - #### getNamedSparqlSupplier

          protected NamedSparqlSupplier getNamedSparqlSupplier​(String key)

      Obtains the `NamedSparqlSupplier` with the specified key for use in, e.g., `RDF4JTemplate.tupleQuery(Class, NamedSparqlSupplier)`.

    - #### getNamedSparqlString

          protected String getNamedSparqlString​(String key)

    - #### getNamedTupleQuery

          protected TupleQueryEvaluationBuilder getNamedTupleQuery​(String key)

    - #### getNamedGraphQuery

          protected GraphQueryEvaluationBuilder getNamedGraphQuery​(String key)

    - #### getNamedUpdate

          protected UpdateExecutionBuilder getNamedUpdate​(String key)